Update emailAuthenticationMethod
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Update a user's email address associated with an email Authentication Method object.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permissions acting on self
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | UserAuthenticationMethod.ReadWrite |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
Permissions acting on other users
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | UserAuthenticationMethod.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | UserAuthenticationMethod.ReadWrite.All |
For delegated scenarios where an admin is acting on another user, the admin needs one of the following roles:
- Global administrator
- Privileged authentication administrator
- Authentication administrator
HTTP request
PUT /users/{id | userPrincipalName}/authentication/emailMethods/{id}
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-Type | application/json. Required. |
Request body
In the request body, supply a JSON representation of the emailAuthenticationMethod object with the updated email address.
The following table shows the properties that are required when you update the emailAuthenticationMethod.
| Property | Type | Description |
|---|---|---|
| emailAddress | String | Updated email address |
Response
If successful, this method returns a 200 OK response code and an updated emailAuthenticationMethod object in the response body.
Examples
Request
PUT https://graph.microsoft.com/beta/users/kim@contoso.com/authentication/emailMethods/3ddfcfc8-9383-446f-83cc-3ab9be4be18f
Content-Type: application/json
{
"emailAddress": "kim@contoso.com"
}
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "3ddfcfc8-9383-446f-83cc-3ab9be4be18f",
"emailAddress": "kim@contoso.com"
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk